Fibo · Structured Prompt
Integreren
bria/fibo/generate/structured_prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo/generate/structured_prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo/generate/structured_prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/nl/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo/generate/structured_prompt",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Roep het Fibo · Structured Prompt-model (bria/fibo/generate/structured_prompt) aan via de Doitong API. Documentatie voor agents: https://doitong.com/nl/developers/models/bria/fibo/generate/structured_prompt.md
POST https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Als de responsstatus "queued" of "running" is, poll dan GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 totdat deze "succeeded" is; de bestanden staan in outputs[].url. POST https://api.doitong.com/v1/quote/bria/fibo/generate/structured_prompt met dezelfde body retourneert de exacte prijs vóór de uitvoering.
Deze request: $ 0,01 10 API-tegoed Op deze pagina uitvoeren
Je nieuwe API-sleutel. Deze wordt alleen nu getoond en staat al in de code en in het onderstaande API-sleutelveld. Houd deze geheim: zet deze nooit in code die in een browser wordt uitgevoerd.
Je eerste resultaat komt hier
Bouw hieronder een request en voer die uit met je API-sleutel. Uitvoer wordt naar onze opslag gekopieerd en voor altijd of 7 dagen gratis bewaard.
Een aanvraag samenstellen
Besturingselementen worden gegenereerd op basis van het modelschema. De code en de prijs worden bijgewerkt terwijl je ze wijzigt.
/run/bria/fibo/generate/structured_prompt?wait=20
prijsopgave → $ 0,01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo/generate/structured_prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo/generate/structured_prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo/generate/structured_prompt",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Deze request uitvoeren
Je sleutel blijft in deze browser: hij wordt alleen naar de Doitong API verzonden en alleen in localStorage opgeslagen als je Onthouden aanvinkt. API-sleutel ophalen
Over Fibo · Structured Prompt
Endpoint in de stijl van een taalmodel dat de gestructureerde prompt voor een afbeelding retourneert in plaats van de afbeelding zelf. Invoer bestaat uit `prompt`, een bestaande `structured_prompt` of een referentie-`image_url`, plus `seed`. De JSON-uitvoer bevat velden zoals esthetiek, belichting, objecten, fotografische kenmerken, korte beschrijving, stijlmedium en weer te geven tekst.
Parameters
Stuur de canonieke naam of de oorspronkelijke naam, niet beide. Canonieke namen
promptoptioneel
structured_promptoptioneel
structured_prompt.short_descriptionoptioneel
structured_prompt.objectsoptioneel
structured_prompt.objects[].descriptionoptioneel
structured_prompt.objects[].locationoptioneel
structured_prompt.objects[].relationshipverplicht
structured_prompt.objects[].relative_sizeoptioneel
structured_prompt.objects[].shape_and_coloroptioneel
structured_prompt.objects[].textureoptioneel
structured_prompt.objects[].appearance_detailsoptioneel
structured_prompt.objects[].number_of_objectsoptioneel
structured_prompt.objects[].poseoptioneel
structured_prompt.objects[].expressionoptioneel
structured_prompt.objects[].clothingoptioneel
structured_prompt.objects[].actionoptioneel
structured_prompt.objects[].genderoptioneel
structured_prompt.objects[].skin_tone_and_textureoptioneel
structured_prompt.objects[].orientationoptioneel
structured_prompt.background_settingoptioneel
structured_prompt.lightingoptioneel
structured_prompt.lighting.conditionsoptioneel
structured_prompt.lighting.directionoptioneel
structured_prompt.lighting.shadowsoptioneel
structured_prompt.aestheticsoptioneel
structured_prompt.aesthetics.compositionoptioneel
structured_prompt.aesthetics.color_schemeoptioneel
structured_prompt.aesthetics.mood_atmosphereoptioneel
structured_prompt.aesthetics.aesthetic_scoreoptioneel
structured_prompt.aesthetics.preference_scoreoptioneel
structured_prompt.photographic_characteristicsoptioneel
structured_prompt.photographic_characteristics.depth_of_fieldoptioneel
structured_prompt.photographic_characteristics.focusoptioneel
structured_prompt.photographic_characteristics.camera_angleoptioneel
structured_prompt.photographic_characteristics.lens_focal_lengthoptioneel
structured_prompt.style_mediumoptioneel
structured_prompt.text_renderoptioneel
structured_prompt.contextoptioneel
structured_prompt.artistic_styleoptioneel
structured_prompt.trigger_wordoptioneel
structured_prompt.sub_trigger_wordoptioneel
structured_prompt.art_directionoptioneel
structured_prompt.action_descriptionoptioneel
structured_prompt.actor_prefixoptioneel
image_urloptioneel
image
seedoptioneel
Bestandsparameters accepteren een openbare https:// URL, een data: URI tot 10 MB of de file_url van een upload. Bestanden
Uitvoer
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo/generate/structured_prompt",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 10,
"usd": "0.01",
"charged": 10,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"short_description": "string",
"objects": [
{
"description": "string",
"location": "string",
"relationship": "string",
"relative_size": "string",
"shape_and_color": "string",
"texture": "string",
"appearance_details": "string",
"number_of_objects": 1,
"pose": "string",
"expression": "string",
"clothing": "string",
"action": "string",
"gender": "string",
"skin_tone_and_texture": "string",
"orientation": "string"
}
],
"background_setting": "string",
"lighting": {
"conditions": "string",
"direction": "string",
"shadows": "string"
},
"aesthetics": {
"composition": "string",
"color_scheme": "string",
"mood_atmosphere": "string",
"aesthetic_score": "string",
"preference_score": "string"
},
"photographic_characteristics": {
"depth_of_field": "string",
"focus": "string",
"camera_angle": "string",
"lens_focal_length": "string"
},
"style_medium": "string",
"text_render": [],
"context": "string",
"artistic_style": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Velden van de uitvoer
- short_description
- string | nullKorte beschrijving van de beoogde uitvoerafbeelding.
- objects
- array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | nullGeef de inhoud van de gegenereerde afbeelding op als lijst, met de kenmerken van elk object en de relaties met de andere afgebeelde objecten.
- background_setting
- string | nullAchtergrondinstelling voor de gegenereerde afbeelding.
- lighting
- object {conditions, direction, shadows} | nullBelichting voor de gegenereerde afbeelding.
- aesthetics
- object {composition, color_scheme, mood_atmosphere, aesthetic_score, preference_score} | nullEsthetische eigenschappen voor de gegenereerde afbeelding.
- photographic_characteristics
- object {depth_of_field, focus, camera_angle, lens_focal_length} | nullFotografische eigenschappen voor de gegenereerde afbeelding.
- style_medium
- string | nullStilistisch medium voor de gegenereerde afbeelding.
- text_render
- array of any | nullLijst met tekstitems die in de afbeelding moeten worden opgenomen.
- context
- string | nullContext voor de gegenereerde afbeelding.
- artistic_style
- string | nullArtistieke stijl voor de gegenereerde afbeelding.
Andere varianten van Bria Fibo
Meer modellen: LLM
Voor AI-agents: deze pagina als Markdown staat op https://doitong.com/nl/developers/models/bria/fibo/generate/structured_prompt.md. Alle modellen en handleidingen: https://doitong.com/developers/llms.txt